## org.eclipse.emf.ecore.xml.type.impl
Class XMLTypeFactoryImpl

    java.lang.Object
      org.eclipse.emf.common.notify.impl.BasicNotifierImpl
          org.eclipse.emf.ecore.impl.BasicEObjectImpl
              org.eclipse.emf.ecore.impl.EObjectImpl
                  org.eclipse.emf.ecore.impl.FlatEObjectImpl
                      org.eclipse.emf.ecore.impl.EModelElementImpl
                          org.eclipse.emf.ecore.impl.EFactoryImpl
                              org.eclipse.emf.ecore.xml.type.impl.XMLTypeFactoryImpl

All Implemented Interfaces:
  Notifier, EFactory, EModelElement, EObject, InternalEObject, XMLTypeFactory

    public class XMLTypeFactoryImpl

extends EFactoryImpl
implements XMLTypeFactory

An implementation of the model Factory.

Nested Class Summary

Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl
`BasicEObjectImpl.EPropertiesHolder, BasicEObjectImpl.EPropertiesHolderBaseImpl, BasicEObjectImpl.EPropertiesHolderImpl`

Nested classes/interfaces inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl
`BasicNotifierImpl.EAdapterList<E extends java.lang.Object & Adapter>`

Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.InternalEObject
`InternalEObject.EStore`

Field Summary
`protected static java.text.DateFormat[]` `EDATE_FORMATS`

Fields inherited from class org.eclipse.emf.ecore.impl.EFactoryImpl
`ePackage`

Fields inherited from class org.eclipse.emf.ecore.impl.EModelElementImpl
`eAnnotations, EFROZEN, ELAST_EMODEL_ELEMENT_FLAG`

Fields inherited from class org.eclipse.emf.ecore.impl.FlatEObjectImpl
`eContents, eCrossReferences, eProxyURI`

Fields inherited from class org.eclipse.emf.ecore.impl.EObjectImpl
`eAdapters, eContainer, eContainerFeatureID, EDELIVER, EDYNAMIC_CLASS, eFlags, ELAST_EOBJECT_FLAG, ELAST_NOTIFIER_FLAG, eProperties, EPROXY`

Fields inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl
`EVIRTUAL_GET, EVIRTUAL_IS_SET, EVIRTUAL_NO_VALUE, EVIRTUAL_SET, EVIRTUAL_UNSET`

Fields inherited from interface org.eclipse.emf.ecore.xml.type.XMLTypeFactory
`eINSTANCE`

Fields inherited from interface org.eclipse.emf.ecore.InternalEObject
`EOPPOSITE_FEATURE_BASE`

Constructor Summary
`XMLTypeFactoryImpl()` Creates an instance of the factory

Method Summary
`protected java.lang.Boolean` `booleanValueOf(java.lang.String initialValue)`
`java.lang.String` `convertAnySimpleType(java.lang.Object instanceValue)`
`java.lang.String` `convertAnySimpleTypeToString(EDataType eDataType, java.lang.Object instanceValue)`
`java.lang.String` `convertAnyURI(java.lang.String instanceValue)`
`java.lang.String` `convertAnyURIToString(EDataType eDataType, java.lang.Object instanceValue)`
`java.lang.String` `convertBase64Binary(byte[] instanceValue)`
`java.lang.String` `convertBase64BinaryToString(EDataType eDataType, java.lang.Object instanceValue)`
`java.lang.String` `convertBoolean(boolean instanceValue)`
`java.lang.String` `convertBooleanObject(java.lang.Boolean instanceValue)`
`java.lang.String` `convertBooleanObjectToString(EDataType eDataType, java.lang.Object instanceValue)`
`java.lang.String` `convertBooleanToString(EDataType eDataType, java.lang.Object instanceValue)`
`java.lang.String` `convertByte(byte instanceValue)`
`java.lang.String` `convertByteObject(java.lang.Byte instanceValue)`
`java.lang.String` `convertByteObjectToString(EDataType eDataType, java.lang.Object instanceValue)`
`java.lang.String` `convertByteToString(EDataType eDataType, java.lang.Object instanceValue)`
`java.lang.String` `convertDate(java.lang.Object instanceValue)` Deprecated.
`java.lang.String` `convertDate(javax.xml.datatype.XMLGregorianCalendar instanceValue)`
`java.lang.String` `convertDateTime(java.lang.Object instanceValue)` Deprecated.
`java.lang.String` `convertDateTime(javax.xml.datatype.XMLGregorianCalendar instanceValue)`
`java.lang.String` `convertDateTimeToString(EDataType eDataType, java.lang.Object instanceValue)`
`java.lang.String` `convertDateToString(EDataType eDataType, java.lang.Object instanceValue)`
`java.lang.String` `convertDecimal(java.math.BigDecimal instanceValue)`
`java.lang.String` `convertDecimalToString(EDataType eDataType, java.lang.Object instanceValue)`
`java.lang.String` `convertDouble(double instanceValue)`
`java.lang.String` `convertDoubleObject(java.lang.Double instanceValue)`
`java.lang.String` `convertDoubleObjectToString(EDataType eDataType, java.lang.Object instanceValue)`
`java.lang.String` `convertDoubleToString(EDataType eDataType, java.lang.Object instanceValue)`
`java.lang.String` `convertDuration(javax.xml.datatype.Duration instanceValue)`
`java.lang.String` `convertDuration(java.lang.Object instanceValue)` Deprecated.
`java.lang.String` `convertDurationToString(EDataType eDataType, java.lang.Object instanceValue)`
`java.lang.String` `convertENTITIES(java.util.List<? extends java.lang.String> instanceValue)`
`java.lang.String` `convertENTITIESBase(java.util.List<? extends java.lang.String> instanceValue)`
`java.lang.String` `convertENTITIESBaseToString(EDataType eDataType, java.lang.Object instanceValue)`
`java.lang.String` `convertENTITIESToString(EDataType eDataType, java.lang.Object instanceValue)`
`java.lang.String` `convertENTITY(java.lang.String instanceValue)`
`java.lang.String` `convertENTITYToString(EDataType eDataType, java.lang.Object instanceValue)`
`java.lang.String` `convertFloat(float instanceValue)`
`java.lang.String` `convertFloatObject(java.lang.Float instanceValue)`
`java.lang.String` `convertFloatObjectToString(EDataType eDataType, java.lang.Object instanceValue)`
`java.lang.String` `convertFloatToString(EDataType eDataType, java.lang.Object instanceValue)`
`java.lang.String` `convertGDay(java.lang.Object instanceValue)`
`java.lang.String` `convertGDay(javax.xml.datatype.XMLGregorianCalendar instanceValue)`
`java.lang.String` `convertGDayToString(EDataType eDataType, java.lang.Object instanceValue)`
`java.lang.String` `convertGMonth(java.lang.Object instanceValue)` Deprecated.
`java.lang.String` `convertGMonth(javax.xml.datatype.XMLGregorianCalendar instanceValue)`
`java.lang.String` `convertGMonthDay(java.lang.Object instanceValue)` Deprecated.
`java.lang.String` `convertGMonthDay(javax.xml.datatype.XMLGregorianCalendar instanceValue)`
`java.lang.String` `convertGMonthDayToString(EDataType eDataType, java.lang.Object instanceValue)`
`java.lang.String` `convertGMonthToString(EDataType eDataType, java.lang.Object instanceValue)`
`java.lang.String` `convertGYear(java.lang.Object instanceValue)` Deprecated.
`java.lang.String` `convertGYear(javax.xml.datatype.XMLGregorianCalendar instanceValue)`
`java.lang.String` `convertGYearMonth(java.lang.Object instanceValue)` Deprecated.
`java.lang.String` `convertGYearMonth(javax.xml.datatype.XMLGregorianCalendar instanceValue)`
`java.lang.String` `convertGYearMonthToString(EDataType eDataType, java.lang.Object instanceValue)`
`java.lang.String` `convertGYearToString(EDataType eDataType, java.lang.Object instanceValue)`
`java.lang.String` `convertHexBinary(byte[] instanceValue)`
`java.lang.String` `convertHexBinaryToString(EDataType eDataType, java.lang.Object instanceValue)`
`java.lang.String` `convertID(java.lang.String instanceValue)`
`java.lang.String` `convertIDREF(java.lang.String instanceValue)`
`java.lang.String` `convertIDREFS(java.util.List<? extends java.lang.String> instanceValue)`
`java.lang.String` `convertIDREFSBase(java.util.List<? extends java.lang.String> instanceValue)`
`java.lang.String` `convertIDREFSBaseToString(EDataType eDataType, java.lang.Object instanceValue)`
`java.lang.String` `convertIDREFSToString(EDataType eDataType, java.lang.Object instanceValue)`
`java.lang.String` `convertIDREFToString(EDataType eDataType, java.lang.Object instanceValue)`
`java.lang.String` `convertIDToString(EDataType eDataType, java.lang.Object instanceValue)`
`java.lang.String` `convertInt(int instanceValue)`
`java.lang.String` `convertInteger(java.math.BigInteger instanceValue)`
`java.lang.String` `convertIntegerToString(EDataType eDataType, java.lang.Object instanceValue)`
`java.lang.String` `convertIntObject(java.lang.Integer instanceValue)`
`java.lang.String` `convertIntObjectToString(EDataType eDataType, java.lang.Object instanceValue)`
`java.lang.String` `convertIntToString(EDataType eDataType, java.lang.Object instanceValue)`
`java.lang.String` `convertLanguage(java.lang.String instanceValue)`
`java.lang.String` `convertLanguageToString(EDataType eDataType, java.lang.Object instanceValue)`
`java.lang.String` `convertLong(long instanceValue)`
`java.lang.String` `convertLongObject(java.lang.Long instanceValue)`
`java.lang.String` `convertLongObjectToString(EDataType eDataType, java.lang.Object instanceValue)`
`java.lang.String` `convertLongToString(EDataType eDataType, java.lang.Object instanceValue)`
`java.lang.String` `convertName(java.lang.String instanceValue)`
`java.lang.String` `convertNameToString(EDataType eDataType, java.lang.Object instanceValue)`
`java.lang.String` `convertNCName(java.lang.String instanceValue)`
`java.lang.String` `convertNCNameToString(EDataType eDataType, java.lang.Object instanceValue)`
`java.lang.String` `convertNegativeInteger(java.math.BigInteger instanceValue)`
`java.lang.String` `convertNegativeIntegerToString(EDataType eDataType, java.lang.Object instanceValue)`
`java.lang.String` `convertNMTOKEN(java.lang.String instanceValue)`
`java.lang.String` `convertNMTOKENS(java.util.List<? extends java.lang.String> instanceValue)`
`java.lang.String` `convertNMTOKENSBase(java.util.List<? extends java.lang.String> instanceValue)`
`java.lang.String` `convertNMTOKENSBaseToString(EDataType eDataType, java.lang.Object instanceValue)`
`java.lang.String` `convertNMTOKENSToString(EDataType eDataType, java.lang.Object instanceValue)`
`java.lang.String` `convertNMTOKENToString(EDataType eDataType, java.lang.Object instanceValue)`
`java.lang.String` `convertNonNegativeInteger(java.math.BigInteger instanceValue)`
`java.lang.String` `convertNonNegativeIntegerToString(EDataType eDataType, java.lang.Object instanceValue)`
`java.lang.String` `convertNonPositiveInteger(java.math.BigInteger instanceValue)`
`java.lang.String` `convertNonPositiveIntegerToString(EDataType eDataType, java.lang.Object instanceValue)`
`java.lang.String` `convertNormalizedString(java.lang.String instanceValue)`
`java.lang.String` `convertNormalizedStringToString(EDataType eDataType, java.lang.Object instanceValue)`
`java.lang.String` `convertNOTATION(java.lang.Object instanceValue)` Deprecated.
`java.lang.String` `convertNOTATION(javax.xml.namespace.QName instanceValue)`
`java.lang.String` `convertNOTATIONToString(EDataType eDataType, java.lang.Object instanceValue)`
`java.lang.String` `convertPositiveInteger(java.math.BigInteger instanceValue)`
`java.lang.String` `convertPositiveIntegerToString(EDataType eDataType, java.lang.Object instanceValue)`
`java.lang.String` `convertQName(java.lang.Object instanceValue)` Deprecated.
`java.lang.String` `convertQName(javax.xml.namespace.QName instanceValue)`
`java.lang.String` `convertQNameToString(EDataType eDataType, java.lang.Object instanceValue)`
`java.lang.String` `convertShort(short instanceValue)`
`java.lang.String` `convertShortObject(java.lang.Short instanceValue)`
`java.lang.String` `convertShortObjectToString(EDataType eDataType, java.lang.Object instanceValue)`
`java.lang.String` `convertShortToString(EDataType eDataType, java.lang.Object instanceValue)`
`java.lang.String` `convertString(java.lang.String instanceValue)`
`java.lang.String` `convertStringToString(EDataType eDataType, java.lang.Object instanceValue)`
`java.lang.String` `convertTime(java.lang.Object instanceValue)` Deprecated.
`java.lang.String` `convertTime(javax.xml.datatype.XMLGregorianCalendar instanceValue)`
`java.lang.String` `convertTimeToString(EDataType eDataType, java.lang.Object instanceValue)`
`java.lang.String` `convertToken(java.lang.String instanceValue)`
`java.lang.String` `convertTokenToString(EDataType eDataType, java.lang.Object instanceValue)`
`java.lang.String` `convertToString(EDataType eDataType, java.lang.Object instanceValue)`
`java.lang.String` `convertUnsignedByte(short instanceValue)`
`java.lang.String` `convertUnsignedByteObject(java.lang.Short instanceValue)`
`java.lang.String` `convertUnsignedByteObjectToString(EDataType eDataType, java.lang.Object instanceValue)`
`java.lang.String` `convertUnsignedByteToString(EDataType eDataType, java.lang.Object instanceValue)`
`java.lang.String` `convertUnsignedInt(long instanceValue)`
`java.lang.String` `convertUnsignedIntObject(java.lang.Long instanceValue)`
`java.lang.String` `convertUnsignedIntObjectToString(EDataType eDataType, java.lang.Object instanceValue)`
`java.lang.String` `convertUnsignedIntToString(EDataType eDataType, java.lang.Object instanceValue)`
`java.lang.String` `convertUnsignedLong(java.math.BigInteger instanceValue)`
`java.lang.String` `convertUnsignedLongToString(EDataType eDataType, java.lang.Object instanceValue)`
`java.lang.String` `convertUnsignedShort(int instanceValue)`
`java.lang.String` `convertUnsignedShortObject(java.lang.Integer instanceValue)`
`java.lang.String` `convertUnsignedShortObjectToString(EDataType eDataType, java.lang.Object instanceValue)`
`java.lang.String` `convertUnsignedShortToString(EDataType eDataType, java.lang.Object instanceValue)`
`EObject` `create(EClass eClass)`
`java.lang.Object` `createAnySimpleType(java.lang.String literal)`
`java.lang.Object` `createAnySimpleTypeFromString(EDataType eDataType, java.lang.String initialValue)`
`AnyType` `createAnyType()`
`java.lang.String` `createAnyURI(java.lang.String literal)`
`java.lang.String` `createAnyURIFromString(EDataType eDataType, java.lang.String initialValue)`
`byte[]` `createBase64Binary(java.lang.String literal)`
`byte[]` `createBase64BinaryFromString(EDataType eDataType, java.lang.String initialValue)`
`boolean` `createBoolean(java.lang.String initialValue)`
`java.lang.Boolean` `createBooleanFromString(EDataType eDataType, java.lang.String initialValue)`
`java.lang.Boolean` `createBooleanObject(java.lang.String literal)`
`java.lang.Boolean` `createBooleanObjectFromString(EDataType eDataType, java.lang.String initialValue)`
`byte` `createByte(java.lang.String literal)`
`java.lang.Byte` `createByteFromString(EDataType eDataType, java.lang.String initialValue)`
`java.lang.Byte` `createByteObject(java.lang.String literal)`
`java.lang.Byte` `createByteObjectFromString(EDataType eDataType, java.lang.String initialValue)`
`javax.xml.datatype.XMLGregorianCalendar` `createDate(java.lang.String literal)`
`java.lang.Object` `createDateFromString(EDataType eDataType, java.lang.String initialValue)`
`javax.xml.datatype.XMLGregorianCalendar` `createDateTime(java.lang.String literal)`
`java.lang.Object` `createDateTimeFromString(EDataType eDataType, java.lang.String initialValue)`
`java.math.BigDecimal` `createDecimal(java.lang.String literal)`
`java.math.BigDecimal` `createDecimalFromString(EDataType eDataType, java.lang.String initialValue)`
`double` `createDouble(java.lang.String literal)`
`java.lang.Double` `createDoubleFromString(EDataType eDataType, java.lang.String initialValue)`
`java.lang.Double` `createDoubleObject(java.lang.String literal)`
`java.lang.Double` `createDoubleObjectFromString(EDataType eDataType, java.lang.String initialValue)`
`javax.xml.datatype.Duration` `createDuration(java.lang.String literal)`
`java.lang.Object` `createDurationFromString(EDataType eDataType, java.lang.String initialValue)`
`java.util.List<java.lang.String>` `createENTITIES(java.lang.String literal)`
`java.util.List<java.lang.String>` `createENTITIESBase(java.lang.String literal)`
`java.util.List<java.lang.String>` `createENTITIESBaseFromString(EDataType eDataType, java.lang.String initialValue)`
`java.util.List<java.lang.String>` `createENTITIESFromString(EDataType eDataType, java.lang.String initialValue)`
`java.lang.String` `createENTITY(java.lang.String literal)`
`java.lang.String` `createENTITYFromString(EDataType eDataType, java.lang.String initialValue)`
`float` `createFloat(java.lang.String literal)`
`java.lang.Float` `createFloatFromString(EDataType eDataType, java.lang.String initialValue)`
`java.lang.Float` `createFloatObject(java.lang.String literal)`
`java.lang.Float` `createFloatObjectFromString(EDataType eDataType, java.lang.String initialValue)`
`java.lang.Object` `createFromString(EDataType eDataType, java.lang.String initialValue)`
`javax.xml.datatype.XMLGregorianCalendar` `createGDay(java.lang.String literal)`
`java.lang.Object` `createGDayFromString(EDataType eDataType, java.lang.String initialValue)`
`javax.xml.datatype.XMLGregorianCalendar` `createGMonth(java.lang.String literal)`
`javax.xml.datatype.XMLGregorianCalendar` `createGMonthDay(java.lang.String literal)`
`java.lang.Object` `createGMonthDayFromString(EDataType eDataType, java.lang.String initialValue)`
`java.lang.Object` `createGMonthFromString(EDataType eDataType, java.lang.String initialValue)`
`javax.xml.datatype.XMLGregorianCalendar` `createGYear(java.lang.String literal)`
`java.lang.Object` `createGYearFromString(EDataType eDataType, java.lang.String initialValue)`
`javax.xml.datatype.XMLGregorianCalendar` `createGYearMonth(java.lang.String literal)`
`java.lang.Object` `createGYearMonthFromString(EDataType eDataType, java.lang.String initialValue)`
`byte[]` `createHexBinary(java.lang.String literal)`
`byte[]` `createHexBinaryFromString(EDataType eDataType, java.lang.String initialValue)`
`java.lang.String` `createID(java.lang.String literal)`
`java.lang.String` `createIDFromString(EDataType eDataType, java.lang.String initialValue)`
`java.lang.String` `createIDREF(java.lang.String literal)`
`java.lang.String` `createIDREFFromString(EDataType eDataType, java.lang.String initialValue)`
`java.util.List<java.lang.String>` `createIDREFS(java.lang.String literal)`
`java.util.List<java.lang.String>` `createIDREFSBase(java.lang.String literal)`
`java.util.List<java.lang.String>` `createIDREFSBaseFromString(EDataType eDataType, java.lang.String initialValue)`
`java.util.List<java.lang.String>` `createIDREFSFromString(EDataType eDataType, java.lang.String initialValue)`
`int` `createInt(java.lang.String initialValue)`
`java.math.BigInteger` `createInteger(java.lang.String literal)`
`java.math.BigInteger` `createIntegerFromString(EDataType eDataType, java.lang.String initialValue)`
`java.lang.Integer` `createIntFromString(EDataType eDataType, java.lang.String initialValue)`
`java.lang.Integer` `createIntObject(java.lang.String literal)`
`java.lang.Integer` `createIntObjectFromString(EDataType eDataType, java.lang.String initialValue)`
`java.lang.String` `createLanguage(java.lang.String literal)`
`java.lang.String` `createLanguageFromString(EDataType eDataType, java.lang.String initialValue)`
`long` `createLong(java.lang.String literal)`
`java.lang.Long` `createLongFromString(EDataType eDataType, java.lang.String initialValue)`
`java.lang.Long` `createLongObject(java.lang.String literal)`
`java.lang.Long` `createLongObjectFromString(EDataType eDataType, java.lang.String initialValue)`
`java.lang.String` `createName(java.lang.String literal)`
`java.lang.String` `createNameFromString(EDataType eDataType, java.lang.String initialValue)`
`java.lang.String` `createNCName(java.lang.String literal)`
`java.lang.String` `createNCNameFromString(EDataType eDataType, java.lang.String initialValue)`
`java.math.BigInteger` `createNegativeInteger(java.lang.String literal)`
`java.math.BigInteger` `createNegativeIntegerFromString(EDataType eDataType, java.lang.String initialValue)`
`java.lang.String` `createNMTOKEN(java.lang.String literal)`
`java.lang.String` `createNMTOKENFromString(EDataType eDataType, java.lang.String initialValue)`
`java.util.List<java.lang.String>` `createNMTOKENS(java.lang.String literal)`
`java.util.List<java.lang.String>` `createNMTOKENSBase(java.lang.String literal)`
`java.util.List<java.lang.String>` `createNMTOKENSBaseFromString(EDataType eDataType, java.lang.String initialValue)`
`java.util.List<java.lang.String>` `createNMTOKENSFromString(EDataType eDataType, java.lang.String initialValue)`
`java.math.BigInteger` `createNonNegativeInteger(java.lang.String literal)`
`java.math.BigInteger` `createNonNegativeIntegerFromString(EDataType eDataType, java.lang.String initialValue)`
`java.math.BigInteger` `createNonPositiveInteger(java.lang.String literal)`
`java.math.BigInteger` `createNonPositiveIntegerFromString(EDataType eDataType, java.lang.String initialValue)`
`java.lang.String` `createNormalizedString(java.lang.String literal)`
`java.lang.String` `createNormalizedStringFromString(EDataType eDataType, java.lang.String initialValue)`
`javax.xml.namespace.QName` `createNOTATION(java.lang.String literal)`
`java.lang.Object` `createNOTATIONFromString(EDataType eDataType, java.lang.String initialValue)`
`java.math.BigInteger` `createPositiveInteger(java.lang.String literal)`
`java.math.BigInteger` `createPositiveIntegerFromString(EDataType eDataType, java.lang.String initialValue)`
`ProcessingInstruction` `createProcessingInstruction()`
`javax.xml.namespace.QName` `createQName(java.lang.String literal)`
`javax.xml.namespace.QName` `createQName(java.lang.String namespaceURI, java.lang.String localPart)` Returns an instance of data type 'QName' corresponding to the given namespace URI and local part.
`javax.xml.namespace.QName` `createQName(java.lang.String namespaceURI, java.lang.String localPart, java.lang.String prefix)` Returns an instance of data type 'QName' corresponding to the given namespace URI, local part, and prefix.
`java.lang.Object` `createQNameFromString(EDataType eDataType, java.lang.String initialValue)`
`short` `createShort(java.lang.String literal)`
`java.lang.Short` `createShortFromString(EDataType eDataType, java.lang.String initialValue)`
`java.lang.Short` `createShortObject(java.lang.String literal)`
`java.lang.Short` `createShortObjectFromString(EDataType eDataType, java.lang.String initialValue)`
`SimpleAnyType` `createSimpleAnyType()`
`java.lang.String` `createString(java.lang.String initialValue)`
`java.lang.String` `createStringFromString(EDataType eDataType, java.lang.String initialValue)`
`javax.xml.datatype.XMLGregorianCalendar` `createTime(java.lang.String literal)`
`java.lang.Object` `createTimeFromString(EDataType eDataType, java.lang.String initialValue)`
`java.lang.String` `createToken(java.lang.String literal)`
`java.lang.String` `createTokenFromString(EDataType eDataType, java.lang.String initialValue)`
`short` `createUnsignedByte(java.lang.String literal)`
`java.lang.Short` `createUnsignedByteFromString(EDataType eDataType, java.lang.String initialValue)`
`java.lang.Short` `createUnsignedByteObject(java.lang.String literal)`
`java.lang.Short` `createUnsignedByteObjectFromString(EDataType eDataType, java.lang.String initialValue)`
`long` `createUnsignedInt(java.lang.String literal)`
`java.lang.Long` `createUnsignedIntFromString(EDataType eDataType, java.lang.String initialValue)`
`java.lang.Long` `createUnsignedIntObject(java.lang.String literal)`
`java.lang.Long` `createUnsignedIntObjectFromString(EDataType eDataType, java.lang.String initialValue)`
`java.math.BigInteger` `createUnsignedLong(java.lang.String literal)`
`java.math.BigInteger` `createUnsignedLongFromString(EDataType eDataType, java.lang.String initialValue)`
`int` `createUnsignedShort(java.lang.String literal)`
`java.lang.Integer` `createUnsignedShortFromString(EDataType eDataType, java.lang.String initialValue)`
`java.lang.Integer` `createUnsignedShortObject(java.lang.String literal)`
`java.lang.Integer` `createUnsignedShortObjectFromString(EDataType eDataType, java.lang.String initialValue)`
`XMLTypeDocumentRoot` `createXMLTypeDocumentRoot()`
`static XMLTypePackage` `getPackage()` Deprecated.
`XMLTypePackage` `getXMLTypePackage()`
`static XMLTypeFactory` `init()` Creates the default factory implementation
`protected boolean` `primitiveBooleanValueOf(java.lang.String initialValue)`

Methods inherited from class org.eclipse.emf.ecore.impl.EFactoryImpl
`basicCreate, basicSetEPackage, collapseWhiteSpace, convertToString, createFromString, eGet, eInverseAdd, eInverseRemove, eIsSet, eSet, eStaticClass, eUnset, getEPackage, replaceWhiteSpace, setEPackage`

Methods inherited from class org.eclipse.emf.ecore.impl.EModelElementImpl
`eObjectForURIFragmentSegment, eURIFragmentSegment, freeze, freeze, getEAnnotation, getEAnnotations, isFrozen, setFrozen`

Methods inherited from class org.eclipse.emf.ecore.impl.FlatEObjectImpl
`eContents, eCrossReferences, eIsProxy, eProperties, eProxyURI, eSetProxyURI`

Methods inherited from class org.eclipse.emf.ecore.impl.EObjectImpl
`eAdapters, eBasicAdapters, eBasicProperties, eBasicSetContainer, eClass, eContainerFeatureID, eDeliver, eInternalContainer, eSetClass, eSetDeliver`

Methods inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

`eAddVirtualValue, eAllContents, eBaseStructuralFeatureID, eBasicRemoveFromContainer, eBasicRemoveFromContainerFeature, eBasicSetContainer, eComputeVirtualValuesCapacity, eContainer, eContainingFeature, eContainmentFeature, eContainmentFeature, eContains, eDerivedStructuralFeatureID, eDerivedStructuralFeatureID, eDirectResource, eDynamicBasicRemoveFromContainer, eDynamicClass, eDynamicFeature, eDynamicFeatureID, eDynamicGet, eDynamicGet, eDynamicGet, eDynamicInverseAdd, eDynamicInverseAdd, eDynamicInverseRemove, eDynamicInverseRemove, eDynamicIsSet, eDynamicIsSet, eDynamicIsSet, eDynamicSet, eDynamicSet, eDynamicSet, eDynamicUnset, eDynamicUnset, eDynamicUnset, eGet, eGet, eGet, eHasSettings, eInternalResource, eInverseAdd, eInverseRemove, eIsSet, eOpenGet, eOpenIsSet, eOpenSet, eOpenUnset, eRemoveVirtualValue, eResolveProxy, eResource, eSet, eSetDirectResource, eSetResource, eSetStore, eSetting, eSettingDelegate, eSettings, eSetVirtualIndexBits, eSetVirtualValue, eSetVirtualValues, eStaticFeatureCount, eStore, eUnset, eVirtualBitCount, eVirtualGet, eVirtualGet, eVirtualIndex, eVirtualIndexBits, eVirtualIsSet, eVirtualSet, eVirtualUnset, eVirtualValue, eVirtualValues, toString`

Methods inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl
`eNotificationRequired, eNotify`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.eclipse.emf.ecore.EFactory
`getEPackage, setEPackage`

Methods inherited from interface org.eclipse.emf.ecore.EModelElement
`getEAnnotation, getEAnnotations`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Methods inherited from interface org.eclipse.emf.ecore.InternalEObject
`eNotificationRequired`

Field Detail

### EDATE_FORMATS

    protected static final java.text.DateFormat[] EDATE_FORMATS

Constructor Detail

### XMLTypeFactoryImpl

    public XMLTypeFactoryImpl()

  Creates an instance of the factory.

Method Detail

### createAnySimpleType

    public java.lang.Object createAnySimpleType(java.lang.String literal)

  Specified by:
    `createAnySimpleType` in interface `XMLTypeFactory`
  Parameters:
    `literal` - a literal of the data type.
  Returns:
    a new instance value of the data type.

### convertAnySimpleType

    public java.lang.String convertAnySimpleType(java.lang.Object instanceValue)

  Specified by:
    `convertAnySimpleType` in interface `XMLTypeFactory`
  Parameters:
    `instanceValue` - an instance value of the data type.
  Returns:
    a literal representation of the instance value.

### createAnyURI

    public java.lang.String createAnyURI(java.lang.String literal)

  Specified by:
    `createAnyURI` in interface `XMLTypeFactory`
  Parameters:
    `literal` - a literal of the data type.
  Returns:
    a new instance value of the data type.

### convertAnyURI

    public java.lang.String convertAnyURI(java.lang.String instanceValue)

  Specified by:
    `convertAnyURI` in interface `XMLTypeFactory`
  Parameters:
    `instanceValue` - an instance value of the data type.
  Returns:
    a literal representation of the instance value.

### createBase64Binary

    public byte[] createBase64Binary(java.lang.String literal)

  Specified by:
    `createBase64Binary` in interface `XMLTypeFactory`
  Parameters:
    `literal` - a literal of the data type.
  Returns:
    a new instance value of the data type.

### convertBase64Binary

    public java.lang.String convertBase64Binary(byte[] instanceValue)

  Specified by:
    `convertBase64Binary` in interface `XMLTypeFactory`
  Parameters:
    `instanceValue` - an instance value of the data type.
  Returns:
    a literal representation of the instance value.

### createBoolean

    public boolean createBoolean(java.lang.String initialValue)

  Specified by:
    `createBoolean` in interface `XMLTypeFactory`
  Parameters:
    `initialValue` - a literal of the data type.
  Returns:
    a new instance value of the data type.

### convertBoolean

    public java.lang.String convertBoolean(boolean instanceValue)

  Specified by:
    `convertBoolean` in interface `XMLTypeFactory`
  Parameters:
    `instanceValue` - an instance value of the data type.
  Returns:
    a literal representation of the instance value.

### createBooleanObject

    public java.lang.Boolean createBooleanObject(java.lang.String literal)

  Specified by:
    `createBooleanObject` in interface `XMLTypeFactory`
  Parameters:
    `literal` - a literal of the data type.
  Returns:
    a new instance value of the data type.

### convertBooleanObject

    public java.lang.String convertBooleanObject(java.lang.Boolean instanceValue)

  Specified by:
    `convertBooleanObject` in interface `XMLTypeFactory`
  Parameters:
    `instanceValue` - an instance value of the data type.
  Returns:
    a literal representation of the instance value.

### createByte

    public byte createByte(java.lang.String literal)

  Specified by:
    `createByte` in interface `XMLTypeFactory`
  Parameters:
    `literal` - a literal of the data type.
  Returns:
    a new instance value of the data type.

### convertByte

    public java.lang.String convertByte(byte instanceValue)

  Specified by:
    `convertByte` in interface `XMLTypeFactory`
  Parameters:
    `instanceValue` - an instance value of the data type.
  Returns:
    a literal representation of the instance value.

### createByteObject

    public java.lang.Byte createByteObject(java.lang.String literal)

  Specified by:
    `createByteObject` in interface `XMLTypeFactory`
  Parameters:
    `literal` - a literal of the data type.
  Returns:
    a new instance value of the data type.

### convertByteObject

    public java.lang.String convertByteObject(java.lang.Byte instanceValue)

  Specified by:
    `convertByteObject` in interface `XMLTypeFactory`
  Parameters:
    `instanceValue` - an instance value of the data type.
  Returns:
    a literal representation of the instance value.

### createDate

    public javax.xml.datatype.XMLGregorianCalendar createDate(java.lang.String literal)

  Specified by:
    `createDate` in interface `XMLTypeFactory`
  Parameters:
    `literal` - a literal of the data type.
  Returns:
    a new instance value of the data type.

### convertDate

    public java.lang.String convertDate(javax.xml.datatype.XMLGregorianCalendar instanceValue)

  Specified by:
    `convertDate` in interface `XMLTypeFactory`
  Parameters:
    `instanceValue` - an instance value of the data type.
  Returns:
    a literal representation of the instance value.

### convertDate

    @Deprecated
    public java.lang.String convertDate(java.lang.Object instanceValue)

  Deprecated.

  Specified by:
    `convertDate` in interface `XMLTypeFactory`

### createDateTime

    public javax.xml.datatype.XMLGregorianCalendar createDateTime(java.lang.String literal)

  Specified by:
    `createDateTime` in interface `XMLTypeFactory`
  Parameters:
    `literal` - a literal of the data type.
  Returns:
    a new instance value of the data type.

### convertDateTime

    public java.lang.String convertDateTime(javax.xml.datatype.XMLGregorianCalendar instanceValue)

  Specified by:
    `convertDateTime` in interface `XMLTypeFactory`
  Parameters:
    `instanceValue` - an instance value of the data type.
  Returns:
    a literal representation of the instance value.

### convertDateTime

    @Deprecated
    public java.lang.String convertDateTime(java.lang.Object instanceValue)

  Deprecated.

  Specified by:
    `convertDateTime` in interface `XMLTypeFactory`

### createDecimal

    public java.math.BigDecimal createDecimal(java.lang.String literal)

  Specified by:
    `createDecimal` in interface `XMLTypeFactory`
  Parameters:
    `literal` - a literal of the data type.
  Returns:
    a new instance value of the data type.

### convertDecimal

    public java.lang.String convertDecimal(java.math.BigDecimal instanceValue)

  Specified by:
    `convertDecimal` in interface `XMLTypeFactory`
  Parameters:
    `instanceValue` - an instance value of the data type.
  Returns:
    a literal representation of the instance value.

### createDouble

    public double createDouble(java.lang.String literal)

  Specified by:
    `createDouble` in interface `XMLTypeFactory`
  Parameters:
    `literal` - a literal of the data type.
  Returns:
    a new instance value of the data type.

### convertDouble

    public java.lang.String convertDouble(double instanceValue)

  Specified by:
    `convertDouble` in interface `XMLTypeFactory`
  Parameters:
    `instanceValue` - an instance value of the data type.
  Returns:
    a literal representation of the instance value.

### createDoubleObject

    public java.lang.Double createDoubleObject(java.lang.String literal)

  Specified by:
    `createDoubleObject` in interface `XMLTypeFactory`
  Parameters:
    `literal` - a literal of the data type.
  Returns:
    a new instance value of the data type.

### convertDoubleObject

    public java.lang.String convertDoubleObject(java.lang.Double instanceValue)

  Specified by:
    `convertDoubleObject` in interface `XMLTypeFactory`
  Parameters:
    `instanceValue` - an instance value of the data type.
  Returns:
    a literal representation of the instance value.

### createDuration

    public javax.xml.datatype.Duration createDuration(java.lang.String literal)

  Specified by:
    `createDuration` in interface `XMLTypeFactory`
  Parameters:
    `literal` - a literal of the data type.
  Returns:
    a new instance value of the data type.

### convertDuration

    public java.lang.String convertDuration(javax.xml.datatype.Duration instanceValue)

  Specified by:
    `convertDuration` in interface `XMLTypeFactory`
  Parameters:
    `instanceValue` - an instance value of the data type.
  Returns:
    a literal representation of the instance value.

### convertDuration

    @Deprecated
    public java.lang.String convertDuration(java.lang.Object instanceValue)

  Deprecated.

  Specified by:
    `convertDuration` in interface `XMLTypeFactory`

### createENTITIES

    public java.util.List<java.lang.String> createENTITIES(java.lang.String literal)

  Specified by:
    `createENTITIES` in interface `XMLTypeFactory`
  Parameters:
    `literal` - a literal of the data type.
  Returns:
    a new instance value of the data type.

### createENTITIESFromString

    public java.util.List<java.lang.String> createENTITIESFromString(EDataType eDataType,
                                                                     java.lang.String initialValue)

### convertENTITIES

    public java.lang.String convertENTITIES(java.util.List<? extends java.lang.String> instanceValue)

  Specified by:
    `convertENTITIES` in interface `XMLTypeFactory`
  Parameters:
    `instanceValue` - an instance value of the data type.
  Returns:
    a literal representation of the instance value.

### convertENTITIESToString

    public java.lang.String convertENTITIESToString(EDataType eDataType,
                                                    java.lang.Object instanceValue)

### createENTITIESBase

    public java.util.List<java.lang.String> createENTITIESBase(java.lang.String literal)

  Specified by:
    `createENTITIESBase` in interface `XMLTypeFactory`
  Parameters:
    `literal` - a literal of the data type.
  Returns:
    a new instance value of the data type.

### createENTITIESBaseFromString

    public java.util.List<java.lang.String> createENTITIESBaseFromString(EDataType eDataType,
                                                                         java.lang.String initialValue)

### convertENTITIESBase

    public java.lang.String convertENTITIESBase(java.util.List<? extends java.lang.String> instanceValue)

  Specified by:
    `convertENTITIESBase` in interface `XMLTypeFactory`
  Parameters:
    `instanceValue` - an instance value of the data type.
  Returns:
    a literal representation of the instance value.

### convertENTITIESBaseToString

    public java.lang.String convertENTITIESBaseToString(EDataType eDataType,
                                                        java.lang.Object instanceValue)

### createENTITY

    public java.lang.String createENTITY(java.lang.String literal)

  Specified by:
    `createENTITY` in interface `XMLTypeFactory`
  Parameters:
    `literal` - a literal of the data type.
  Returns:
    a new instance value of the data type.

### convertENTITY

    public java.lang.String convertENTITY(java.lang.String instanceValue)

  Specified by:
    `convertENTITY` in interface `XMLTypeFactory`
  Parameters:
    `instanceValue` - an instance value of the data type.
  Returns:
    a literal representation of the instance value.

### createFloat

    public float createFloat(java.lang.String literal)

  Specified by:
    `createFloat` in interface `XMLTypeFactory`
  Parameters:
    `literal` - a literal of the data type.
  Returns:
    a new instance value of the data type.

### convertFloat

    public java.lang.String convertFloat(float instanceValue)

  Specified by:
    `convertFloat` in interface `XMLTypeFactory`
  Parameters:
    `instanceValue` - an instance value of the data type.
  Returns:
    a literal representation of the instance value.

### createFloatObject

    public java.lang.Float createFloatObject(java.lang.String literal)

  Specified by:
    `createFloatObject` in interface `XMLTypeFactory`
  Parameters:
    `literal` - a literal of the data type.
  Returns:
    a new instance value of the data type.

### convertFloatObject

    public java.lang.String convertFloatObject(java.lang.Float instanceValue)

  Specified by:
    `convertFloatObject` in interface `XMLTypeFactory`
  Parameters:
    `instanceValue` - an instance value of the data type.
  Returns:
    a literal representation of the instance value.

### createGDay

    public javax.xml.datatype.XMLGregorianCalendar createGDay(java.lang.String literal)

  Specified by:
    `createGDay` in interface `XMLTypeFactory`
  Parameters:
    `literal` - a literal of the data type.
  Returns:
    a new instance value of the data type.

### convertGDay

    public java.lang.String convertGDay(javax.xml.datatype.XMLGregorianCalendar instanceValue)

  Specified by:
    `convertGDay` in interface `XMLTypeFactory`
  Parameters:
    `instanceValue` - an instance value of the data type.
  Returns:
    a literal representation of the instance value.

### convertGDay

    public java.lang.String convertGDay(java.lang.Object instanceValue)

  Specified by:
    `convertGDay` in interface `XMLTypeFactory`

### createGMonth

    public javax.xml.datatype.XMLGregorianCalendar createGMonth(java.lang.String literal)

  Specified by:
    `createGMonth` in interface `XMLTypeFactory`
  Parameters:
    `literal` - a literal of the data type.
  Returns:
    a new instance value of the data type.

### convertGMonth

    public java.lang.String convertGMonth(javax.xml.datatype.XMLGregorianCalendar instanceValue)

  Specified by:
    `convertGMonth` in interface `XMLTypeFactory`
  Parameters:
    `instanceValue` - an instance value of the data type.
  Returns:
    a literal representation of the instance value.

### convertGMonth

    @Deprecated
    public java.lang.String convertGMonth(java.lang.Object instanceValue)

  Deprecated.

  Specified by:
    `convertGMonth` in interface `XMLTypeFactory`

### createGMonthDay

    public javax.xml.datatype.XMLGregorianCalendar createGMonthDay(java.lang.String literal)

  Specified by:
    `createGMonthDay` in interface `XMLTypeFactory`
  Parameters:
    `literal` - a literal of the data type.
  Returns:
    a new instance value of the data type.

### convertGMonthDay

    public java.lang.String convertGMonthDay(javax.xml.datatype.XMLGregorianCalendar instanceValue)

  Specified by:
    `convertGMonthDay` in interface `XMLTypeFactory`
  Parameters:
    `instanceValue` - an instance value of the data type.
  Returns:
    a literal representation of the instance value.

### convertGMonthDay

    @Deprecated
    public java.lang.String convertGMonthDay(java.lang.Object instanceValue)

  Deprecated.

  Specified by:
    `convertGMonthDay` in interface `XMLTypeFactory`

### createGYear

    public javax.xml.datatype.XMLGregorianCalendar createGYear(java.lang.String literal)

  Specified by:
    `createGYear` in interface `XMLTypeFactory`
  Parameters:
    `literal` - a literal of the data type.
  Returns:
    a new instance value of the data type.

### convertGYear

    public java.lang.String convertGYear(javax.xml.datatype.XMLGregorianCalendar instanceValue)

  Specified by:
    `convertGYear` in interface `XMLTypeFactory`
  Parameters:
    `instanceValue` - an instance value of the data type.
  Returns:
    a literal representation of the instance value.

### convertGYear

    @Deprecated
    public java.lang.String convertGYear(java.lang.Object instanceValue)

  Deprecated.

  Specified by:
    `convertGYear` in interface `XMLTypeFactory`

### createGYearMonth

    public javax.xml.datatype.XMLGregorianCalendar createGYearMonth(java.lang.String literal)

  Specified by:
    `createGYearMonth` in interface `XMLTypeFactory`
  Parameters:
    `literal` - a literal of the data type.
  Returns:
    a new instance value of the data type.

### convertGYearMonth

    public java.lang.String convertGYearMonth(javax.xml.datatype.XMLGregorianCalendar instanceValue)

  Specified by:
    `convertGYearMonth` in interface `XMLTypeFactory`
  Parameters:
    `instanceValue` - an instance value of the data type.
  Returns:
    a literal representation of the instance value.

### convertGYearMonth

    @Deprecated
    public java.lang.String convertGYearMonth(java.lang.Object instanceValue)

  Deprecated.

  Specified by:
    `convertGYearMonth` in interface `XMLTypeFactory`

### createHexBinary

    public byte[] createHexBinary(java.lang.String literal)

  Specified by:
    `createHexBinary` in interface `XMLTypeFactory`
  Parameters:
    `literal` - a literal of the data type.
  Returns:
    a new instance value of the data type.

### convertHexBinary

    public java.lang.String convertHexBinary(byte[] instanceValue)

  Specified by:
    `convertHexBinary` in interface `XMLTypeFactory`
  Parameters:
    `instanceValue` - an instance value of the data type.
  Returns:
    a literal representation of the instance value.

### createID

    public java.lang.String createID(java.lang.String literal)

  Specified by:
    `createID` in interface `XMLTypeFactory`
  Parameters:
    `literal` - a literal of the data type.
  Returns:
    a new instance value of the data type.

### createIDFromString

    public java.lang.String createIDFromString(EDataType eDataType,
                                               java.lang.String initialValue)

### convertID

    public java.lang.String convertID(java.lang.String instanceValue)

  Specified by:
    `convertID` in interface `XMLTypeFactory`
  Parameters:
    `instanceValue` - an instance value of the data type.
  Returns:
    a literal representation of the instance value.

### createIDREF

    public java.lang.String createIDREF(java.lang.String literal)

  Specified by:
    `createIDREF` in interface `XMLTypeFactory`
  Parameters:
    `literal` - a literal of the data type.
  Returns:
    a new instance value of the data type.

### createIDREFFromString

    public java.lang.String createIDREFFromString(EDataType eDataType,
                                                  java.lang.String initialValue)

### convertIDREF

    public java.lang.String convertIDREF(java.lang.String instanceValue)

  Specified by:
    `convertIDREF` in interface `XMLTypeFactory`
  Parameters:
    `instanceValue` - an instance value of the data type.
  Returns:
    a literal representation of the instance value.

### createIDREFS

    public java.util.List<java.lang.String> createIDREFS(java.lang.String literal)

  Specified by:
    `createIDREFS` in interface `XMLTypeFactory`
  Parameters:
    `literal` - a literal of the data type.
  Returns:
    a new instance value of the data type.

### createIDREFSFromString

    public java.util.List<java.lang.String> createIDREFSFromString(EDataType eDataType,
                                                                   java.lang.String initialValue)

### convertIDREFS

    public java.lang.String convertIDREFS(java.util.List<? extends java.lang.String> instanceValue)

  Specified by:
    `convertIDREFS` in interface `XMLTypeFactory`
  Parameters:
    `instanceValue` - an instance value of the data type.
  Returns:
    a literal representation of the instance value.

### convertIDREFSToString

    public java.lang.String convertIDREFSToString(EDataType eDataType,
                                                  java.lang.Object instanceValue)

### createIDREFSBase

    public java.util.List<java.lang.String> createIDREFSBase(java.lang.String literal)

  Specified by:
    `createIDREFSBase` in interface `XMLTypeFactory`
  Parameters:
    `literal` - a literal of the data type.
  Returns:
    a new instance value of the data type.

### createIDREFSBaseFromString

    public java.util.List<java.lang.String> createIDREFSBaseFromString(EDataType eDataType,
                                                                       java.lang.String initialValue)

### convertIDREFSBase

    public java.lang.String convertIDREFSBase(java.util.List<? extends java.lang.String> instanceValue)

  Specified by:
    `convertIDREFSBase` in interface `XMLTypeFactory`
  Parameters:
    `instanceValue` - an instance value of the data type.
  Returns:
    a literal representation of the instance value.

### convertIDREFSBaseToString

    public java.lang.String convertIDREFSBaseToString(EDataType eDataType,
                                                      java.lang.Object instanceValue)

### createInt

    public int createInt(java.lang.String initialValue)

  Specified by:
    `createInt` in interface `XMLTypeFactory`
  Parameters:
    `initialValue` - a literal of the data type.
  Returns:
    a new instance value of the data type.

### convertInt

    public java.lang.String convertInt(int instanceValue)

  Specified by:
    `convertInt` in interface `XMLTypeFactory`
  Parameters:
    `instanceValue` - an instance value of the data type.
  Returns:
    a literal representation of the instance value.

### createInteger

    public java.math.BigInteger createInteger(java.lang.String literal)

  Specified by:
    `createInteger` in interface `XMLTypeFactory`
  Parameters:
    `literal` - a literal of the data type.
  Returns:
    a new instance value of the data type.

### convertInteger

    public java.lang.String convertInteger(java.math.BigInteger instanceValue)

  Specified by:
    `convertInteger` in interface `XMLTypeFactory`
  Parameters:
    `instanceValue` - an instance value of the data type.
  Returns:
    a literal representation of the instance value.

### createIntObject

    public java.lang.Integer createIntObject(java.lang.String literal)

  Specified by:
    `createIntObject` in interface `XMLTypeFactory`
  Parameters:
    `literal` - a literal of the data type.
  Returns:
    a new instance value of the data type.

### convertIntObject

    public java.lang.String convertIntObject(java.lang.Integer instanceValue)

  Specified by:
    `convertIntObject` in interface `XMLTypeFactory`
  Parameters:
    `instanceValue` - an instance value of the data type.
  Returns:
    a literal representation of the instance value.

### createLanguage

    public java.lang.String createLanguage(java.lang.String literal)

  Specified by:
    `createLanguage` in interface `XMLTypeFactory`
  Parameters:
    `literal` - a literal of the data type.
  Returns:
    a new instance value of the data type.

### convertLanguage

    public java.lang.String convertLanguage(java.lang.String instanceValue)

  Specified by:
    `convertLanguage` in interface `XMLTypeFactory`
  Parameters:
    `instanceValue` - an instance value of the data type.
  Returns:
    a literal representation of the instance value.

### createLong

    public long createLong(java.lang.String literal)

  Specified by:
    `createLong` in interface `XMLTypeFactory`
  Parameters:
    `literal` - a literal of the data type.
  Returns:
    a new instance value of the data type.

### convertLong

    public java.lang.String convertLong(long instanceValue)

  Specified by:
    `convertLong` in interface `XMLTypeFactory`
  Parameters:
    `instanceValue` - an instance value of the data type.
  Returns:
    a literal representation of the instance value.

### createLongObject

    public java.lang.Long createLongObject(java.lang.String literal)

  Specified by:
    `createLongObject` in interface `XMLTypeFactory`
  Parameters:
    `literal` - a literal of the data type.
  Returns:
    a new instance value of the data type.

### convertLongObject

    public java.lang.String convertLongObject(java.lang.Long instanceValue)

  Specified by:
    `convertLongObject` in interface `XMLTypeFactory`
  Parameters:
    `instanceValue` - an instance value of the data type.
  Returns:
    a literal representation of the instance value.

### createName

    public java.lang.String createName(java.lang.String literal)

  Specified by:
    `createName` in interface `XMLTypeFactory`
  Parameters:
    `literal` - a literal of the data type.
  Returns:
    a new instance value of the data type.

### convertName

    public java.lang.String convertName(java.lang.String instanceValue)

  Specified by:
    `convertName` in interface `XMLTypeFactory`
  Parameters:
    `instanceValue` - an instance value of the data type.
  Returns:
    a literal representation of the instance value.

### createNCName

    public java.lang.String createNCName(java.lang.String literal)

  Specified by:
    `createNCName` in interface `XMLTypeFactory`
  Parameters:
    `literal` - a literal of the data type.
  Returns:
    a new instance value of the data type.

### convertNCName

    public java.lang.String convertNCName(java.lang.String instanceValue)

  Specified by:
    `convertNCName` in interface `XMLTypeFactory`
  Parameters:
    `instanceValue` - an instance value of the data type.
  Returns:
    a literal representation of the instance value.

### createNegativeInteger

    public java.math.BigInteger createNegativeInteger(java.lang.String literal)

  Specified by:
    `createNegativeInteger` in interface `XMLTypeFactory`
  Parameters:
    `literal` - a literal of the data type.
  Returns:
    a new instance value of the data type.

### createNegativeIntegerFromString

    public java.math.BigInteger createNegativeIntegerFromString(EDataType eDataType,
                                                                java.lang.String initialValue)

### convertNegativeInteger

    public java.lang.String convertNegativeInteger(java.math.BigInteger instanceValue)

  Specified by:
    `convertNegativeInteger` in interface `XMLTypeFactory`
  Parameters:
    `instanceValue` - an instance value of the data type.
  Returns:
    a literal representation of the instance value.

### convertNegativeIntegerToString

    public java.lang.String convertNegativeIntegerToString(EDataType eDataType,
                                                           java.lang.Object instanceValue)

### createNMTOKEN

    public java.lang.String createNMTOKEN(java.lang.String literal)

  Specified by:
    `createNMTOKEN` in interface `XMLTypeFactory`
  Parameters:
    `literal` - a literal of the data type.
  Returns:
    a new instance value of the data type.

### convertNMTOKEN

    public java.lang.String convertNMTOKEN(java.lang.String instanceValue)

  Specified by:
    `convertNMTOKEN` in interface `XMLTypeFactory`
  Parameters:
    `instanceValue` - an instance value of the data type.
  Returns:
    a literal representation of the instance value.

### createNMTOKENS

    public java.util.List<java.lang.String> createNMTOKENS(java.lang.String literal)

  Specified by:
    `createNMTOKENS` in interface `XMLTypeFactory`
  Parameters:
    `literal` - a literal of the data type.
  Returns:
    a new instance value of the data type.

### createNMTOKENSFromString

    public java.util.List<java.lang.String> createNMTOKENSFromString(EDataType eDataType,
                                                                     java.lang.String initialValue)

### convertNMTOKENS

    public java.lang.String convertNMTOKENS(java.util.List<? extends java.lang.String> instanceValue)

  Specified by:
    `convertNMTOKENS` in interface `XMLTypeFactory`
  Parameters:
    `instanceValue` - an instance value of the data type.
  Returns:
    a literal representation of the instance value.

### convertNMTOKENSToString

    public java.lang.String convertNMTOKENSToString(EDataType eDataType,
                                                    java.lang.Object instanceValue)

### createNMTOKENSBase

    public java.util.List<java.lang.String> createNMTOKENSBase(java.lang.String literal)

  Specified by:
    `createNMTOKENSBase` in interface `XMLTypeFactory`
  Parameters:
    `literal` - a literal of the data type.
  Returns:
    a new instance value of the data type.

### createNMTOKENSBaseFromString

    public java.util.List<java.lang.String> createNMTOKENSBaseFromString(EDataType eDataType,
                                                                         java.lang.String initialValue)

### convertNMTOKENSBase

    public java.lang.String convertNMTOKENSBase(java.util.List<? extends java.lang.String> instanceValue)

  Specified by:
    `convertNMTOKENSBase` in interface `XMLTypeFactory`
  Parameters:
    `instanceValue` - an instance value of the data type.
  Returns:
    a literal representation of the instance value.

### convertNMTOKENSBaseToString

    public java.lang.String convertNMTOKENSBaseToString(EDataType eDataType,
                                                        java.lang.Object instanceValue)

### createNonNegativeInteger

    public java.math.BigInteger createNonNegativeInteger(java.lang.String literal)

  Specified by:
    `createNonNegativeInteger` in interface `XMLTypeFactory`
  Parameters:
    `literal` - a literal of the data type.
  Returns:
    a new instance value of the data type.

### convertNonNegativeInteger

    public java.lang.String convertNonNegativeInteger(java.math.BigInteger instanceValue)

  Specified by:
    `convertNonNegativeInteger` in interface `XMLTypeFactory`
  Parameters:
    `instanceValue` - an instance value of the data type.
  Returns:
    a literal representation of the instance value.

### createNonPositiveInteger

    public java.math.BigInteger createNonPositiveInteger(java.lang.String literal)

  Specified by:
    `createNonPositiveInteger` in interface `XMLTypeFactory`
  Parameters:
    `literal` - a literal of the data type.
  Returns:
    a new instance value of the data type.

### convertNonPositiveInteger

    public java.lang.String convertNonPositiveInteger(java.math.BigInteger instanceValue)

  Specified by:
    `convertNonPositiveInteger` in interface `XMLTypeFactory`
  Parameters:
    `instanceValue` - an instance value of the data type.
  Returns:
    a literal representation of the instance value.

### createNormalizedString

    public java.lang.String createNormalizedString(java.lang.String literal)

  Specified by:
    `createNormalizedString` in interface `XMLTypeFactory`
  Parameters:
    `literal` - a literal of the data type.
  Returns:
    a new instance value of the data type.

### convertNormalizedString

    public java.lang.String convertNormalizedString(java.lang.String instanceValue)

  Specified by:
    `convertNormalizedString` in interface `XMLTypeFactory`
  Parameters:
    `instanceValue` - an instance value of the data type.
  Returns:
    a literal representation of the instance value.

### createNOTATION

    public javax.xml.namespace.QName createNOTATION(java.lang.String literal)

  Specified by:
    `createNOTATION` in interface `XMLTypeFactory`
  Parameters:
    `literal` - a literal of the data type.
  Returns:
    a new instance value of the data type.

### convertNOTATION

    public java.lang.String convertNOTATION(javax.xml.namespace.QName instanceValue)

  Specified by:
    `convertNOTATION` in interface `XMLTypeFactory`
  Parameters:
    `instanceValue` - an instance value of the data type.
  Returns:
    a literal representation of the instance value.

### convertNOTATION

    @Deprecated
    public java.lang.String convertNOTATION(java.lang.Object instanceValue)

  Deprecated.

  Specified by:
    `convertNOTATION` in interface `XMLTypeFactory`

### createPositiveInteger

    public java.math.BigInteger createPositiveInteger(java.lang.String literal)

  Specified by:
    `createPositiveInteger` in interface `XMLTypeFactory`
  Parameters:
    `literal` - a literal of the data type.
  Returns:
    a new instance value of the data type.

### createPositiveIntegerFromString

    public java.math.BigInteger createPositiveIntegerFromString(EDataType eDataType,
                                                                java.lang.String initialValue)

### convertPositiveInteger

    public java.lang.String convertPositiveInteger(java.math.BigInteger instanceValue)

  Specified by:
    `convertPositiveInteger` in interface `XMLTypeFactory`
  Parameters:
    `instanceValue` - an instance value of the data type.
  Returns:
    a literal representation of the instance value.

### convertPositiveIntegerToString

    public java.lang.String convertPositiveIntegerToString(EDataType eDataType,
                                                           java.lang.Object instanceValue)

### createQName

    public javax.xml.namespace.QName createQName(java.lang.String literal)

  Specified by:
    `createQName` in interface `XMLTypeFactory`
  Parameters:
    `literal` - a literal of the data type.
  Returns:
    a new instance value of the data type.

### createQName

    public javax.xml.namespace.QName createQName(java.lang.String namespaceURI,
                                                 java.lang.String localPart)

  Description copied from interface: `XMLTypeFactory`
  Returns an instance of data type 'QName' corresponding to the given namespace URI and local part.

  Specified by:
    `createQName` in interface `XMLTypeFactory`
  Parameters:
    `namespaceURI` - the namespace URI of the QName.
    `localPart` - the local part of the QName.
  Returns:
    a new instance value of the data type.

### createQName

    public javax.xml.namespace.QName createQName(java.lang.String namespaceURI,
                                                 java.lang.String localPart,
                                                 java.lang.String prefix)

  Description copied from interface: `XMLTypeFactory`
  Returns an instance of data type 'QName' corresponding to the given namespace URI, local part, and prefix.

  Specified by:
    `createQName` in interface `XMLTypeFactory`
  Parameters:
    `namespaceURI` - the namespace URI of the QName.
    `localPart` - the local part of the QName.
    `prefix` - the prefix of the QName.
  Returns:
    a new instance value of the data type.

### convertQName

    public java.lang.String convertQName(javax.xml.namespace.QName instanceValue)

  Specified by:
    `convertQName` in interface `XMLTypeFactory`
  Parameters:
    `instanceValue` - an instance value of the data type.
  Returns:
    a literal representation of the instance value.

### convertQName

    @Deprecated
    public java.lang.String convertQName(java.lang.Object instanceValue)

  Deprecated.

  Specified by:
    `convertQName` in interface `XMLTypeFactory`

### createShort

    public short createShort(java.lang.String literal)

  Specified by:
    `createShort` in interface `XMLTypeFactory`
  Parameters:
    `literal` - a literal of the data type.
  Returns:
    a new instance value of the data type.

### convertShort

    public java.lang.String convertShort(short instanceValue)

  Specified by:
    `convertShort` in interface `XMLTypeFactory`
  Parameters:
    `instanceValue` - an instance value of the data type.
  Returns:
    a literal representation of the instance value.

### createShortObject

    public java.lang.Short createShortObject(java.lang.String literal)

  Specified by:
    `createShortObject` in interface `XMLTypeFactory`
  Parameters:
    `literal` - a literal of the data type.
  Returns:
    a new instance value of the data type.

### convertShortObject

    public java.lang.String convertShortObject(java.lang.Short instanceValue)

  Specified by:
    `convertShortObject` in interface `XMLTypeFactory`
  Parameters:
    `instanceValue` - an instance value of the data type.
  Returns:
    a literal representation of the instance value.

### createString

    public java.lang.String createString(java.lang.String initialValue)

  Specified by:
    `createString` in interface `XMLTypeFactory`
  Parameters:
    `initialValue` - a literal of the data type.
  Returns:
    a new instance value of the data type.

### convertString

    public java.lang.String convertString(java.lang.String instanceValue)

  Specified by:
    `convertString` in interface `XMLTypeFactory`
  Parameters:
    `instanceValue` - an instance value of the data type.
  Returns:
    a literal representation of the instance value.

### createTime

    public javax.xml.datatype.XMLGregorianCalendar createTime(java.lang.String literal)

  Specified by:
    `createTime` in interface `XMLTypeFactory`
  Parameters:
    `literal` - a literal of the data type.
  Returns:
    a new instance value of the data type.

### convertTime

    public java.lang.String convertTime(javax.xml.datatype.XMLGregorianCalendar instanceValue)

  Specified by:
    `convertTime` in interface `XMLTypeFactory`
  Parameters:
    `instanceValue` - an instance value of the data type.
  Returns:
    a literal representation of the instance value.

### convertTime

    @Deprecated
    public java.lang.String convertTime(java.lang.Object instanceValue)

  Deprecated.

  Specified by:
    `convertTime` in interface `XMLTypeFactory`

### createToken

    public java.lang.String createToken(java.lang.String literal)

  Specified by:
    `createToken` in interface `XMLTypeFactory`
  Parameters:
    `literal` - a literal of the data type.
  Returns:
    a new instance value of the data type.

### convertToken

    public java.lang.String convertToken(java.lang.String instanceValue)

  Specified by:
    `convertToken` in interface `XMLTypeFactory`
  Parameters:
    `instanceValue` - an instance value of the data type.
  Returns:
    a literal representation of the instance value.

### createUnsignedByte

    public short createUnsignedByte(java.lang.String literal)

  Specified by:
    `createUnsignedByte` in interface `XMLTypeFactory`
  Parameters:
    `literal` - a literal of the data type.
  Returns:
    a new instance value of the data type.

### convertUnsignedByte

    public java.lang.String convertUnsignedByte(short instanceValue)

  Specified by:
    `convertUnsignedByte` in interface `XMLTypeFactory`
  Parameters:
    `instanceValue` - an instance value of the data type.
  Returns:
    a literal representation of the instance value.

### createUnsignedByteObject

    public java.lang.Short createUnsignedByteObject(java.lang.String literal)

  Specified by:
    `createUnsignedByteObject` in interface `XMLTypeFactory`
  Parameters:
    `literal` - a literal of the data type.
  Returns:
    a new instance value of the data type.

### convertUnsignedByteObject

    public java.lang.String convertUnsignedByteObject(java.lang.Short instanceValue)

  Specified by:
    `convertUnsignedByteObject` in interface `XMLTypeFactory`
  Parameters:
    `instanceValue` - an instance value of the data type.
  Returns:
    a literal representation of the instance value.

### createUnsignedInt

    public long createUnsignedInt(java.lang.String literal)

  Specified by:
    `createUnsignedInt` in interface `XMLTypeFactory`
  Parameters:
    `literal` - a literal of the data type.
  Returns:
    a new instance value of the data type.

### convertUnsignedInt

    public java.lang.String convertUnsignedInt(long instanceValue)

  Specified by:
    `convertUnsignedInt` in interface `XMLTypeFactory`
  Parameters:
    `instanceValue` - an instance value of the data type.
  Returns:
    a literal representation of the instance value.

### createUnsignedIntObject

    public java.lang.Long createUnsignedIntObject(java.lang.String literal)

  Specified by:
    `createUnsignedIntObject` in interface `XMLTypeFactory`
  Parameters:
    `literal` - a literal of the data type.
  Returns:
    a new instance value of the data type.

### convertUnsignedIntObject

    public java.lang.String convertUnsignedIntObject(java.lang.Long instanceValue)

  Specified by:
    `convertUnsignedIntObject` in interface `XMLTypeFactory`
  Parameters:
    `instanceValue` - an instance value of the data type.
  Returns:
    a literal representation of the instance value.

### createUnsignedLong

    public java.math.BigInteger createUnsignedLong(java.lang.String literal)

  Specified by:
    `createUnsignedLong` in interface `XMLTypeFactory`
  Parameters:
    `literal` - a literal of the data type.
  Returns:
    a new instance value of the data type.

### createUnsignedLongFromString

    public java.math.BigInteger createUnsignedLongFromString(EDataType eDataType,
                                                             java.lang.String initialValue)

### convertUnsignedLong

    public java.lang.String convertUnsignedLong(java.math.BigInteger instanceValue)

  Specified by:
    `convertUnsignedLong` in interface `XMLTypeFactory`
  Parameters:
    `instanceValue` - an instance value of the data type.
  Returns:
    a literal representation of the instance value.

### convertUnsignedLongToString

    public java.lang.String convertUnsignedLongToString(EDataType eDataType,
                                                        java.lang.Object instanceValue)

### createUnsignedShort

    public int createUnsignedShort(java.lang.String literal)

  Specified by:
    `createUnsignedShort` in interface `XMLTypeFactory`
  Parameters:
    `literal` - a literal of the data type.
  Returns:
    a new instance value of the data type.

### convertUnsignedShort

    public java.lang.String convertUnsignedShort(int instanceValue)

  Specified by:
    `convertUnsignedShort` in interface `XMLTypeFactory`
  Parameters:
    `instanceValue` - an instance value of the data type.
  Returns:
    a literal representation of the instance value.

### createUnsignedShortObject

    public java.lang.Integer createUnsignedShortObject(java.lang.String literal)

  Specified by:
    `createUnsignedShortObject` in interface `XMLTypeFactory`
  Parameters:
    `literal` - a literal of the data type.
  Returns:
    a new instance value of the data type.

### convertUnsignedShortObject

    public java.lang.String convertUnsignedShortObject(java.lang.Integer instanceValue)

  Specified by:
    `convertUnsignedShortObject` in interface `XMLTypeFactory`
  Parameters:
    `instanceValue` - an instance value of the data type.
  Returns:
    a literal representation of the instance value.

### init

    public static XMLTypeFactory init()

  Creates the default factory implementation.

### create

    public EObject create(EClass eClass)

  Specified by:
    `create` in interface `EFactory`
  Overrides:
    `create` in class `EFactoryImpl`
  Parameters:
    `eClass` - the class of the new instance.
  Returns:
    a new instance of the class.

### createFromString

    public java.lang.Object createFromString(EDataType eDataType,
                                             java.lang.String initialValue)

  Specified by:
    `createFromString` in interface `EFactory`
  Overrides:
    `createFromString` in class `EFactoryImpl`
    `initialValue` - literal value of the instance.
  Returns:
    an instance of the data type.
  See Also:
    `EFactory.convertToString(EDataType, Object)`

### convertToString

    public java.lang.String convertToString(EDataType eDataType,
                                            java.lang.Object instanceValue)

  Specified by:
    `convertToString` in interface `EFactory`
  Overrides:
    `convertToString` in class `EFactoryImpl`
  Parameters:
    `eDataType` - the data type of the value.
    `instanceValue` - the value.
  Returns:
    the literal value of the instance.
  See Also:
    `EFactory.createFromString(EDataType, String)`

### createAnyType

    public AnyType createAnyType()

  Specified by:
    `createAnyType` in interface `XMLTypeFactory`
  Returns:
    a new object of class 'Any Type'.

### createProcessingInstruction

    public ProcessingInstruction createProcessingInstruction()

  Specified by:
    `createProcessingInstruction` in interface `XMLTypeFactory`
  Returns:
    a new object of class 'Processing Instruction'.

### createSimpleAnyType

    public SimpleAnyType createSimpleAnyType()

  Specified by:
    `createSimpleAnyType` in interface `XMLTypeFactory`
  Returns:
    a new object of class 'Simple Any Type'.

### createXMLTypeDocumentRoot

    public XMLTypeDocumentRoot createXMLTypeDocumentRoot()

  Specified by:
    `createXMLTypeDocumentRoot` in interface `XMLTypeFactory`
  Returns:
    a new object of class 'Document Root'.

### createAnySimpleTypeFromString

    public java.lang.Object createAnySimpleTypeFromString(EDataType eDataType,
                                                          java.lang.String initialValue)

### convertAnySimpleTypeToString

    public java.lang.String convertAnySimpleTypeToString(EDataType eDataType,
                                                         java.lang.Object instanceValue)

### createAnyURIFromString

    public java.lang.String createAnyURIFromString(EDataType eDataType,
                                                   java.lang.String initialValue)

### convertAnyURIToString

    public java.lang.String convertAnyURIToString(EDataType eDataType,
                                                  java.lang.Object instanceValue)

### createBase64BinaryFromString

    public byte[] createBase64BinaryFromString(EDataType eDataType,
                                               java.lang.String initialValue)

### convertBase64BinaryToString

    public java.lang.String convertBase64BinaryToString(EDataType eDataType,
                                                        java.lang.Object instanceValue)

### createBooleanFromString

    public java.lang.Boolean createBooleanFromString(EDataType eDataType,
                                                     java.lang.String initialValue)

### convertBooleanToString

    public java.lang.String convertBooleanToString(EDataType eDataType,
                                                   java.lang.Object instanceValue)

### createBooleanObjectFromString

    public java.lang.Boolean createBooleanObjectFromString(EDataType eDataType,
                                                           java.lang.String initialValue)

### convertBooleanObjectToString

    public java.lang.String convertBooleanObjectToString(EDataType eDataType,
                                                         java.lang.Object instanceValue)

### createDecimalFromString

    public java.math.BigDecimal createDecimalFromString(EDataType eDataType,
                                                        java.lang.String initialValue)

### convertDecimalToString

    public java.lang.String convertDecimalToString(EDataType eDataType,
                                                   java.lang.Object instanceValue)

### createIntegerFromString

    public java.math.BigInteger createIntegerFromString(EDataType eDataType,
                                                        java.lang.String initialValue)

### convertIntegerToString

    public java.lang.String convertIntegerToString(EDataType eDataType,
                                                   java.lang.Object instanceValue)

### createIntObjectFromString

    public java.lang.Integer createIntObjectFromString(EDataType eDataType,
                                                       java.lang.String initialValue)

### convertIntObjectToString

    public java.lang.String convertIntObjectToString(EDataType eDataType,
                                                     java.lang.Object instanceValue)

### createLongFromString

    public java.lang.Long createLongFromString(EDataType eDataType,
                                               java.lang.String initialValue)

### convertLongToString

    public java.lang.String convertLongToString(EDataType eDataType,
                                                java.lang.Object instanceValue)

### createLongObjectFromString

    public java.lang.Long createLongObjectFromString(EDataType eDataType,
                                                     java.lang.String initialValue)

### convertLongObjectToString

    public java.lang.String convertLongObjectToString(EDataType eDataType,
                                                      java.lang.Object instanceValue)

### createIntFromString

    public java.lang.Integer createIntFromString(EDataType eDataType,
                                                 java.lang.String initialValue)

### convertIntToString

    public java.lang.String convertIntToString(EDataType eDataType,
                                               java.lang.Object instanceValue)

### createShortFromString

    public java.lang.Short createShortFromString(EDataType eDataType,
                                                 java.lang.String initialValue)

### convertShortToString

    public java.lang.String convertShortToString(EDataType eDataType,
                                                 java.lang.Object instanceValue)

### createShortObjectFromString

    public java.lang.Short createShortObjectFromString(EDataType eDataType,
                                                       java.lang.String initialValue)

### convertShortObjectToString

    public java.lang.String convertShortObjectToString(EDataType eDataType,
                                                       java.lang.Object instanceValue)

### createByteFromString

    public java.lang.Byte createByteFromString(EDataType eDataType,
                                               java.lang.String initialValue)

### convertByteToString

    public java.lang.String convertByteToString(EDataType eDataType,
                                                java.lang.Object instanceValue)

### createByteObjectFromString

    public java.lang.Byte createByteObjectFromString(EDataType eDataType,
                                                     java.lang.String initialValue)

### convertByteObjectToString

    public java.lang.String convertByteObjectToString(EDataType eDataType,
                                                      java.lang.Object instanceValue)

### createDateFromString

    public java.lang.Object createDateFromString(EDataType eDataType,
                                                 java.lang.String initialValue)

### convertDateToString

    public java.lang.String convertDateToString(EDataType eDataType,
                                                java.lang.Object instanceValue)

### createDateTimeFromString

    public java.lang.Object createDateTimeFromString(EDataType eDataType,
                                                     java.lang.String initialValue)

### convertDateTimeToString

    public java.lang.String convertDateTimeToString(EDataType eDataType,
                                                    java.lang.Object instanceValue)

### createStringFromString

    public java.lang.String createStringFromString(EDataType eDataType,
                                                   java.lang.String initialValue)

### convertStringToString

    public java.lang.String convertStringToString(EDataType eDataType,
                                                  java.lang.Object instanceValue)

### createDoubleFromString

    public java.lang.Double createDoubleFromString(EDataType eDataType,
                                                   java.lang.String initialValue)

### convertDoubleToString

    public java.lang.String convertDoubleToString(EDataType eDataType,
                                                  java.lang.Object instanceValue)

### createDoubleObjectFromString

    public java.lang.Double createDoubleObjectFromString(EDataType eDataType,
                                                         java.lang.String initialValue)

### convertDoubleObjectToString

    public java.lang.String convertDoubleObjectToString(EDataType eDataType,
                                                        java.lang.Object instanceValue)

### createDurationFromString

    public java.lang.Object createDurationFromString(EDataType eDataType,
                                                     java.lang.String initialValue)

### convertDurationToString

    public java.lang.String convertDurationToString(EDataType eDataType,
                                                    java.lang.Object instanceValue)

### createNormalizedStringFromString

    public java.lang.String createNormalizedStringFromString(EDataType eDataType,
                                                             java.lang.String initialValue)

### convertNormalizedStringToString

    public java.lang.String convertNormalizedStringToString(EDataType eDataType,
                                                            java.lang.Object instanceValue)

### createTokenFromString

    public java.lang.String createTokenFromString(EDataType eDataType,
                                                  java.lang.String initialValue)

### convertTokenToString

    public java.lang.String convertTokenToString(EDataType eDataType,
                                                 java.lang.Object instanceValue)

### createNameFromString

    public java.lang.String createNameFromString(EDataType eDataType,
                                                 java.lang.String initialValue)

### convertNameToString

    public java.lang.String convertNameToString(EDataType eDataType,
                                                java.lang.Object instanceValue)

### createNCNameFromString

    public java.lang.String createNCNameFromString(EDataType eDataType,
                                                   java.lang.String initialValue)

### convertNCNameToString

    public java.lang.String convertNCNameToString(EDataType eDataType,
                                                  java.lang.Object instanceValue)

### createENTITYFromString

    public java.lang.String createENTITYFromString(EDataType eDataType,
                                                   java.lang.String initialValue)

### convertENTITYToString

    public java.lang.String convertENTITYToString(EDataType eDataType,
                                                  java.lang.Object instanceValue)

### createFloatFromString

    public java.lang.Float createFloatFromString(EDataType eDataType,
                                                 java.lang.String initialValue)

### convertFloatToString

    public java.lang.String convertFloatToString(EDataType eDataType,
                                                 java.lang.Object instanceValue)

### createFloatObjectFromString

    public java.lang.Float createFloatObjectFromString(EDataType eDataType,
                                                       java.lang.String initialValue)

### convertFloatObjectToString

    public java.lang.String convertFloatObjectToString(EDataType eDataType,
                                                       java.lang.Object instanceValue)

### createGDayFromString

    public java.lang.Object createGDayFromString(EDataType eDataType,
                                                 java.lang.String initialValue)

### convertGDayToString

    public java.lang.String convertGDayToString(EDataType eDataType,
                                                java.lang.Object instanceValue)

### createGMonthFromString

    public java.lang.Object createGMonthFromString(EDataType eDataType,
                                                   java.lang.String initialValue)

### convertGMonthToString

    public java.lang.String convertGMonthToString(EDataType eDataType,
                                                  java.lang.Object instanceValue)

### createGMonthDayFromString

    public java.lang.Object createGMonthDayFromString(EDataType eDataType,
                                                      java.lang.String initialValue)

### convertGMonthDayToString

    public java.lang.String convertGMonthDayToString(EDataType eDataType,
                                                     java.lang.Object instanceValue)

### createGYearFromString

    public java.lang.Object createGYearFromString(EDataType eDataType,
                                                  java.lang.String initialValue)

### convertGYearToString

    public java.lang.String convertGYearToString(EDataType eDataType,
                                                 java.lang.Object instanceValue)

### createGYearMonthFromString

    public java.lang.Object createGYearMonthFromString(EDataType eDataType,
                                                       java.lang.String initialValue)

### convertGYearMonthToString

    public java.lang.String convertGYearMonthToString(EDataType eDataType,
                                                      java.lang.Object instanceValue)

### createHexBinaryFromString

    public byte[] createHexBinaryFromString(EDataType eDataType,
                                            java.lang.String initialValue)

### convertHexBinaryToString

    public java.lang.String convertHexBinaryToString(EDataType eDataType,
                                                     java.lang.Object instanceValue)

### convertIDToString

    public java.lang.String convertIDToString(EDataType eDataType,
                                              java.lang.Object instanceValue)

### convertIDREFToString

    public java.lang.String convertIDREFToString(EDataType eDataType,
                                                 java.lang.Object instanceValue)

### createLanguageFromString

    public java.lang.String createLanguageFromString(EDataType eDataType,
                                                     java.lang.String initialValue)

### convertLanguageToString

    public java.lang.String convertLanguageToString(EDataType eDataType,
                                                    java.lang.Object instanceValue)

### createNonPositiveIntegerFromString

    public java.math.BigInteger createNonPositiveIntegerFromString(EDataType eDataType,
                                                                   java.lang.String initialValue)

### convertNonPositiveIntegerToString

    public java.lang.String convertNonPositiveIntegerToString(EDataType eDataType,
                                                              java.lang.Object instanceValue)

### createNMTOKENFromString

    public java.lang.String createNMTOKENFromString(EDataType eDataType,
                                                    java.lang.String initialValue)

### convertNMTOKENToString

    public java.lang.String convertNMTOKENToString(EDataType eDataType,
                                                   java.lang.Object instanceValue)

### createNonNegativeIntegerFromString

    public java.math.BigInteger createNonNegativeIntegerFromString(EDataType eDataType,
                                                                   java.lang.String initialValue)

### convertNonNegativeIntegerToString

    public java.lang.String convertNonNegativeIntegerToString(EDataType eDataType,
                                                              java.lang.Object instanceValue)

### createNOTATIONFromString

    public java.lang.Object createNOTATIONFromString(EDataType eDataType,
                                                     java.lang.String initialValue)

### convertNOTATIONToString

    public java.lang.String convertNOTATIONToString(EDataType eDataType,
                                                    java.lang.Object instanceValue)

### createQNameFromString

    public java.lang.Object createQNameFromString(EDataType eDataType,
                                                  java.lang.String initialValue)

### convertQNameToString

    public java.lang.String convertQNameToString(EDataType eDataType,
                                                 java.lang.Object instanceValue)

### createTimeFromString

    public java.lang.Object createTimeFromString(EDataType eDataType,
                                                 java.lang.String initialValue)

### convertTimeToString

    public java.lang.String convertTimeToString(EDataType eDataType,
                                                java.lang.Object instanceValue)

### createUnsignedIntFromString

    public java.lang.Long createUnsignedIntFromString(EDataType eDataType,
                                                      java.lang.String initialValue)

### convertUnsignedIntToString

    public java.lang.String convertUnsignedIntToString(EDataType eDataType,
                                                       java.lang.Object instanceValue)

### createUnsignedIntObjectFromString

    public java.lang.Long createUnsignedIntObjectFromString(EDataType eDataType,
                                                            java.lang.String initialValue)

### convertUnsignedIntObjectToString

    public java.lang.String convertUnsignedIntObjectToString(EDataType eDataType,
                                                             java.lang.Object instanceValue)

### createUnsignedShortFromString

    public java.lang.Integer createUnsignedShortFromString(EDataType eDataType,
                                                           java.lang.String initialValue)

### convertUnsignedShortToString

    public java.lang.String convertUnsignedShortToString(EDataType eDataType,
                                                         java.lang.Object instanceValue)

### createUnsignedShortObjectFromString

    public java.lang.Integer createUnsignedShortObjectFromString(EDataType eDataType,
                                                                 java.lang.String initialValue)

### convertUnsignedShortObjectToString

    public java.lang.String convertUnsignedShortObjectToString(EDataType eDataType,
                                                               java.lang.Object instanceValue)

### createUnsignedByteFromString

    public java.lang.Short createUnsignedByteFromString(EDataType eDataType,
                                                        java.lang.String initialValue)

### convertUnsignedByteToString

    public java.lang.String convertUnsignedByteToString(EDataType eDataType,
                                                        java.lang.Object instanceValue)

### createUnsignedByteObjectFromString

    public java.lang.Short createUnsignedByteObjectFromString(EDataType eDataType,
                                                              java.lang.String initialValue)

### convertUnsignedByteObjectToString

    public java.lang.String convertUnsignedByteObjectToString(EDataType eDataType,
                                                              java.lang.Object instanceValue)

### getXMLTypePackage

    public XMLTypePackage getXMLTypePackage()

  Specified by:
    `getXMLTypePackage` in interface `XMLTypeFactory`
  Returns:
    the package supported by this factory.

### getPackage

    @Deprecated
    public static XMLTypePackage getPackage()

  Deprecated.

### booleanValueOf

    protected java.lang.Boolean booleanValueOf(java.lang.String initialValue)

### primitiveBooleanValueOf

    protected boolean primitiveBooleanValueOf(java.lang.String initialValue)

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.